%global packname  R.utils
%global rlibdir  %{_datadir}/R/library


Name:             R-%{packname}
Version:          2.6.0
Release:          2%{?dist}
Summary:          Various Programming Utilities

License:          LGPLv2+
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   R-R.oo
# Imports:   R-methods R-utils R-tools R-R.methodsS3
# Suggests:  R-digest
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core

Requires:         R-R.oo
Requires:         R-methods R-utils R-tools R-R.methodsS3
Suggests:         R-digest
BuildRequires:    R-devel tex(latex) R-R.oo
BuildRequires:    R-methods R-utils R-tools R-R.methodsS3
BuildRequires:    R-digest

%description
Utility functions useful when programming and developing R packages.


%prep
%setup -q -c -n %{packname}

# Fix permissions.
chmod -x %{packname}/NEWS %{packname}/DESCRIPTION
chmod -x %{packname}/inst/data-ex/* %{packname}/man/*.Rd
chmod -x %{packname}/R/*.R %{packname}/R/*/*.R*

%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/data-ex


%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Mar 23 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.6.0-1
- initial package for Fedora
